@import url('layout.css');
* {
    margin: 0;
    padding: 0;
}
#topbar{
    max-width: 100% !important;
    width: 100% !important;
}
:root {
    --primary-color: #0362CC;
    --text-color: RGB(3, 21, 33);
    --sub-text-color: RGB(107, 107, 132);
    --bg-color: #FFFFFF;
    --bg-grey-color: #fafafa;

    --box-shadow: 0 2px 28px 0 rgb(0, 0, 0, 0.09);
    --transition: 0.5s;
}

.dark {
    --bg-color: #000000;
    --bg-grey-color: #0e0e0e;
    --bg-box-color: #000000;
    --text-color: #ffffff;
    --sub-text-color: #cfcfcf;

    --transition: 0.5s;
    --hero-text: rgba(255, 255, 255, 0.2);
    

}

html,
body {
    width: 100%;
    height: 100%;
    margin: auto;
    font-family: 'Montserrat', sans-serif;
    scroll-behavior: smooth;
    color: var(--text-color);
}

body {
    background-color: var(--bg-color);
    overflow-x: hidden;
}

::selection {
    background-color: var(--primary-color);
    color: #ffffff;
}

::-webkit-scrollbar {
    width: 5px;
}

::-webkit-scrollbar-thumb {
    background-color: var(--primary-color);
    border-radius: 5px;
}

::-webkit-scrollbar-track {
    background-color: var(--bg-box-color);
}

a {
    text-decoration: none;
    color: var(--text-color);
}

button {
    border: none;
}

section,
.nav-content,
.hero,
.links-footer {
    width: 85%;
    margin: auto;
    max-width: 1300px;
}

section {
    padding-top: 100px;
    padding-bottom: 70px;
}

.grey-section {
    width: 100%;
    margin: auto;
    background-color: var(--bg-grey-color);
}





.title-1 {
    color: var(--text-color);
    font-stretch: 100%;
    font-size: 45px;
    font-weight: 700;
}

.title-2 {
    color: var(--sub-text-color);
    max-width: 50%;
    font-size: 1em;
    font-weight: 400;
    margin: auto;
    line-height: 25.6px;
}

@media screen and (max-width: 1024px) {
    .title-1 {
        font-size: 1.875em;
    }

    .title-2 {
        max-width: 100%;
        font-size: 0.938em;
    }
}

.section-title {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    gap: 1em;
    margin-bottom: 40px;
}

.blog-cards {
    margin: auto;
    width: 430px;
 
    background-color: var(--bg-color);
    cursor: pointer;
    transition: var(--transition);
}

.blog-cards img {
    margin: 0;
}

.blog-cards:hover {
    scale: 1.01;
    box-shadow: var(--box-shadow);
}

.blogger-details {
    padding-left: 1em;
    padding-right: 1em;
    padding-bottom: 1em;
    color: var(--text-color);
}

.blogger-details p {
    line-height: 1.5em;
}

.blogger-details img {
    width: 35px;
    height: 35px;
    border-radius: 50%;
}

.post-detail {
    font-size: 1.3em;
    font-weight: 700;
    transition: var(--transition);

}

.post-detail:hover {
    color: var(--primary-color);
}

.img-name p {
    font-size: 0.9em;
    font-weight: 600;
    color: var(--text-color);
}

.date-added svg {
    color: var(--primary-color);
}

.date-added p {
    color: var(--text-color);
}

.mail-detail {
    border: 0.5px solid var(--primary-color);
    padding: 0.3em;
    border-radius: 5px;
}

.mail-detail input {
    padding-left: 1em;
    height: 100%;
    width: calc(100% - 2em);
    background: none;
    outline: none;
    border: none;
    font-size: 1em;
    color: var(--text-color);
}

.mail-detail .button {
    border-radius: 0.5em;
    white-space: nowrap;
    font-size: 1em;
    padding-right: 1em;
    padding-left: 1em;
}

.footer {
    padding-top: 70px;
    padding-bottom: 35px;
}

.footer img {
    max-width: 70%;
}

.logo-codebell svg {
    color: var(--primary-color);
}

.dark #supportLink img,
.dark #businessLink img {
    filter: invert(1);
}

.social-links-company {
    display: flex;
    align-items: center;
    gap: 1.5em;
}

.social-links-company svg {
    transition: var(--transition);
}

.social-links-company svg:hover {
    color: var(--primary-color);
}
a{
    text-decoration: none;
}

.footer p {
    cursor: pointer;
    font-weight: 500;
    color: var(--text-color);
}

.follow-button:hover {
    scale: 1.1;
}

.follow-button svg {

    color: rgb(255, 253, 255);
}

.footer-bottom p,
.footer-bottom a {
    font-size: 0.8em;
    color: var(--text-color);
}

@media screen and (max-width:768px) {

    .footer-bottom p,
    .footer-bottom a {
        font-size: 0.8em;
    }
}

/* about product */
#about-img img {
    max-width: 60%;
}

.about-product svg {
    color: var(--primary-color);
}

@media screen and (max-width: 990px) {
    .about-product img {
        max-width: 80%;
    }

    .subscribe {
        text-align: center;
    }
}

.video-content::before {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    z-index: -1;
    width: 100%;
    background: rgb(0, 0, 0, 0.1);
    opacity: 0.6;
}

.video-content {
    text-align: center;
    background-image: url(/assets/img/video-bg.webp);
    background-size: cover;
    background-repeat: no-repeat;
    padding-top: 12em;
    padding-bottom: 12em;
    position: relative;
    background-attachment: fixed;
    z-index: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1em;
    background-position: center;
}

.play-button {
    background-color: #ffffff;
    border-radius: 3em;
    transition: var(--transition);
    cursor: pointer;
}

.play-button:hover {
    background-color: var(--primary-color);
    color: #ffffff;
}

@media screen and (max-width: 990px) {
    .video-content {
        width: 100%;
        margin: auto;
        padding-top: 3em;
        padding-bottom: 3em;
    }

    .video-content::before {
        height: 100%;
    }
}

#subscribe_err,
#contact_err {
    color: rgba(225, 9, 9, 0.947);
    ;
}

#subscribe_form,
#contact_success {
    color: var(--text-color);
    font-weight: 500;
}

/* contact */
.name-email {
    width: 100%;
}

.name-email input {
    background: none;
    border: none;
    padding: 1.2em;
    width: calc(100% - 2.4em);
    border: 0.1px solid var(--sub-text-color);
    font-size: 1em;
    color: var(--text-color);
    font-weight: 300;
    border-radius: 5px;
}

.contact-forms input,
.contact-forms textarea {
    padding: 1.2em;
    width: calc(100% - 2.4em);
    background: none;
    border: none;
    border: 0.5px solid var(--sub-text-color);
    font-size: 1em;
    color: var(--text-color);
    font-weight: 300;
    transition: var(--transition);
    border-radius: 5px;
}

.contact-forms input {
    outline: none;
}

.contact-forms textarea[name="message"] {
    font-size: 1em;
    color: var(--text-color);
    font-weight: 450;
    font-family: 'Montserrat', sans-serif;

}

.contact-forms input:focus {
    border: 0.5px solid var(--primary-color);
}

.contact-forms textarea:focus {
    outline: none;
    border: 0.5px solid var(--primary-color);
}

.submit-btn {
    background-color: var(--primary-color);
    padding: 12px 45px;
    border-radius: 2em;
    color: #ffffff;
    font-size: 1em;
    align-self: start;
    transition: var(--transition);
    cursor: pointer;
}

.submit-btn:hover {
    scale: 1.1;
}

.contact-forms textarea::placeholder {
    font-size: 1em;
    font-family: 'Montserrat', sans-serif;
}

/* about,privacy,shipping,refund */
.p-title {
    font-size: 2.5em;
}

.all-content {
    max-width: 80%;
}

.all-content h4 {
    margin-top: 0em;
    margin-bottom: 0em;
    color: var(--text-color);
    font-size: 2em;
    line-height: 1.18em;
    font-weight: 700;
}

.bullet {
    color: var(--text-color);
    display: flex;
    align-items: start;
    gap: 0.5em;
    font-weight: 400;
}

.under-sub {
    width: 90%;
    margin: auto;
}

@media screen and (max-width: 768px) {
    .all-content {
        max-width: 100%;
    }

    .p-title {
        font-size: 1.5em;
        text-align: center;
    }

    .all-content h4 {
        font-size: 1.2em;
    }
}

.change-theme {
    font-size: 1.25rem;
    color: var(--primary-color);
    cursor: pointer;
    transition: color .3s;
}

.theme-dropdown {
    cursor: pointer;
    position: fixed;
    display: inline-block;
    right: -1em;
    top: 11.5em;
    z-index: 10;
}

.themes-text {
    display: flex;
    align-items: center;
    gap: 0.5em;
    padding: 1em;
    padding-right: 2em;
    background-color: var(--bg-box-color);
    border-radius: 2em;
}

.themes-text svg {
    columns: var(--primary-color);
}

.theme-changers {
    display: flex;
    align-items: center;
    gap: 1em;
    transition: 1s;
}

.theme-changers:hover {
    scale: 1.2;
}

.theme-changers img {
    width: 30px;
    height: 30px;
    display: none;

}

.theme-list li {
    list-style: none;
}

.theme-list {
    padding: 1em;
    display: flex;
    flex-direction: column;
    column-gap: 1em;
    align-items: center;
    justify-content: center;
    gap: 1em;
    right: 2em;
    color: var(--text-color);
    display: none;
    position: absolute;
    background-color: var(--bg-box-color);
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 10;
    transition: 1s;
    border-radius: 1em;
    cursor: pointer;
}

.theme-list li {
    text-align: center;
    cursor: pointer;
}

.theme-circle {
    width: 20px;
    height: 20px;
    border-radius: 50%;
}

.theme-dropdown:hover .theme-list {
    display: flex;
}

/* user gallery */
#gallery-image-1 img {
    width: 330px;
    height: 300px;
    max-width: 100%;
    transition: var(--transition);
}

#gallery-image-1 img:hover {
    scale: 1.1;
}

.modal {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 1000;
    overflow: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    display: none;
}

.modal-content {
    background-color: var(--bg-grey-color);
    padding: 1em;
    border-radius: 8px;
    box-shadow: var(--box-shadow);
    width: max-content;
    height: max-content;
    position: relative;
    max-width: calc(100vw - 2em);
    max-height: calc(100vh - 2em);
}

.close {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 20px;
    font-weight: bold;
    cursor: pointer;
    padding-left: 0.3em;
    padding-right: 0.3em;
    display: flex;
    align-items: center;
    border-radius: 50%;
    color: #ffffff;
    transition: var(--transition);
    background-color: var(--primary-color);
}

.close:hover {
    scale: 1.1;
    background-color: #252626ec;
    color: var(--primary-color);
}

.modal-body {
    width: 100%;
    height: 100%;
}

.modal-image {
    flex: 1;
    max-width: 450px;
    min-width: 280px auto;
}

.modal-image img {
    border-radius: 0.5em;
}

.caption-fullpost-container {
    height: 100%;
    flex-wrap: wrap;
    display: flex;
    flex-direction: column;
}

.modal-image,
.caption-fullpost-container {
    flex: 1;
    max-width: 400px;
    min-width: 280px;
}

.modal-image img {
    border-radius: 0.5em;
}

.modal-caption {
    margin-top: 0.5em;
    text-align: center;
    padding: 1em;
    max-height: 400px;
    overflow: auto;
}

.full-post-btn {
    width: 100%;
    border-radius: 1em;
    margin: 1em;
    margin-bottom: 0.4em;
}

.full-post-btn:hover {
    background-color: #252626ec;
    color: var(--primary-color);
}

/* Make the modal responsive */
@media screen and (max-width: 768px) {
    .caption-fullpost-container {
        height: auto;
    }
}


@media screen and (max-width:768px) {
    .blogs-box-content {
        padding: 1em;
        width: calc(100% - 4em);
    }
}

.blogs-main-left {
    flex: 2;
}

.blogs-main-left img {
    width: 100%;
}

.blogs-main-left p {
    color: var(--sub-text-color);
    line-height: 1.563em;
    font-weight: 400;
}

.blogs-main-left h2,
.blogs-main-right h2 {
    color: var(--text-color);
}

.blogs-main-right {
    flex: 1;

}

.blogs-box-content {
    padding: 3em;
    width: calc(100% - 6em);
    background-color: var(--bg-grey-color);
    text-align: center;
    border-left: 2px solid var(--primary-color);
}

@media screen and (max-width:768px) {
    .blogs-box-content {
        padding: 1.5em;
        width: calc(100% - 3em);
    }
}

.blogs-box-content {
    font-size: 1.1em;
    font-style: italic;
    color: var(--sub-text-color);
}

.blogs-images img {
    width: 280px;
    height: 220px;
    max-width: 100%;
}

.iwrap {
    display: flex;
    background-color: var(--bg-grey-color);
    padding: 0.5em;
    border-radius: 50%;
    color: var(--primary-color);
    transition: var(--transition);
    cursor: pointer;
}

.iwrap:hover {
    background-color: var(--primary-color);
    color: #ffffff;
}

.shares .iwrap:hover {
    background-color: var(--primary-color);
    color: #ffffff;
    transform: translateY(-5px);
}

.s-wrap {
    padding: 1em;
    box-shadow: var(--box-shadow);
}

.search-bar {
    border: 0.01px solid var(--sub-text-color);
    transition: var(--transition);
}

.search-bar:hover {
    border: 0.01px solid var(--primary-color);

}

.search-bar input {
    width: 100%;
    border: none;
    background: none;
    font-size: 1em;
    padding-left: 1em;
    padding-right: 1em;
    color: var(--text-color);
}

.search-bar .s-btn {
    padding: 1em;
    background-color: var(--primary-color);
    cursor: pointer;
}

.search-bar svg {
    color: #ffffff;

}

.search-bar input:focus {
    outline: none;
}

.hr-custom {
    height: 1.2px;
    width: 100%;
    border: none;
    background: linear-gradient(to right, var(--primary-color) 20%, rgb(234, 234, 230) 5%, rgb(234, 234, 230) 100%);
}

.popular-post img {
    width: 80px;
    height: 80px;
}

.popular-post p {
    font-weight: 300;
    color: var(--sub-text-color);
}

.popular-post h4 {
    color: var(--text-color);
}

.tag-container p {
    color: var(--text-color);
    padding: 0.5em;
    border: 1px dotted var(--text-color);
    transition: var(--transition);
    cursor: pointer;
}

.tag-container p:hover {
    color: #ffffff;
    background-color: var(--primary-color);
}

table {
    width: 100%;
    border-collapse: collapse;
    color: var(--text-color);
}

th,
td {
    border: 0.5px solid var(--sub-text-color);
    padding: 1em;
    text-align: center;
}

th.header {
    background-color: var(--bg-grey-color);
}

@media screen and (max-width:768px) {
    table {
        font-size: 0.6em;
    }
}

.video-popup-container {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 9999;
    text-align: center;
}

.video-popup {
    position: absolute;
    max-width: 60%;
    top: 50%;
    left: 50%;
    z-index: 99;
    transform: translate(-50%, -50%);
}

@media screen and (max-width:768px) {
    .video-popup {
        max-width: 90%;
    }
}

.close-button {
    display: flex;
    position: absolute;
    top: 80px;
    right: 20px;
    font-size: 24px;
    cursor: pointer;
    color: white;
}

#cctv-vs-codebell h1 {
    font-size: 1.8em;
    margin-top: 1.2em;
    color: var(--primary-color);
}

.faq-store {
    max-width: 80%;
    margin: auto
}

@media screen and (max-width:768px) {
    #cctv-vs-codebell h1 {
        font-size: 1.5em;
    }

    #cctv-vs-codebell h2 {
        font-size: 1.2em;
    }
}

.store-button {
    font-size: 1.2em;
    font-weight: 700;
}

@media screen and (max-width:768px) {

    .store-product h1 {
        font-size: 1.2em !important;

    }

    .store-prod-name p {
        top: -58% !important;
    }

    .faq-store {
        max-width: 100%;
    }

    .store-button {
        font-size: 0.8em;
        font-weight: 700;
    }

    .column-reverse {
        flex-direction: column-reverse;
        width: 100%;
    }
    .column-reverse .w-full-sm{
        width: 100% !important;
    }
}
@media screen and (max-width:1080px) {
    .store-button {
        font-size: 0.8em;
        font-weight: 700;
    }
}

